module.exports = function(ruleManager, sentence, result) {

    if (!result || !result.tokenIndices || !sentence || result.tokenIndices.length<2)
    {
        console.log("no data");
        return false;
    }
    var dictionary = ruleManager.dictionaries["list_VBN_Lemma"];
    if (!dictionary)
    {
        return false;
    }
    var token = sentence.tokens[result.tokenIndices[1]];
    if (!token)
    {
        return false;
    }
    var row = dictionary[token.word];
    if (row && row.lemma)
    {
        //token.lemma = row.lemma;
        //token.pos = "VBN";
        //token.conditionResults = {};
        
        var overload = {
            type: "att",
            object: "token",
            tokenIndices: [result.tokenIndices[1]],
            modifications: {
                "lemma": row.lemma,
                "pos": "VBN"
            }
        };
        ruleManager.AddOverload(result, overload);
        return true;
    }
    
    return false;
}